/***************************************************************************
                          baseoptiontab.h  -  description                              
                             -------------------                                         
    begin                : Sat Jan 15 2000                                           
    copyright            : (C) 2000 by Henrik Stormer                         
    email                : stormer@ifi.unizh.ch                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef BASEOPTIONTAB_H
#define BASEOPTIONTAB_H

#include <qwidget.h>

/**
  *@author Henrik Stormer
  */

class BaseOptionTab : public QWidget
{
 public:
	BaseOptionTab();
	~BaseOptionTab();
  /*
     A derived class has to override this method to save the
     entries the user has made.
  */
  virtual void okPressed() = 0;
  /*
     A derived class can override this method to restore the
     old entries.
  */
  virtual void cancelPressed();
};

#endif
