/***************************************************************************
                          basepluginfactory.cpp  -  description
                             -------------------
    begin                : Mon Nov 29 1999
    copyright            : (C) 1999 by Henrik Stormer
    email                : stormer@ifi.unizh.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "basepluginfactory.h"

BasePluginFactory::BasePluginFactory(int Priority, KNCApp* App) : QObject(0,0), _Priority(Priority), _App(App)
{}

BasePluginFactory::~BasePluginFactory()
{}

int BasePluginFactory::getPriority()
{return _Priority;}

BaseOptionTab* BasePluginFactory::getOptionsTab()
{return NULL;}

QString BasePluginFactory::getOptionsTabName()
{return QString();}

bool BasePluginFactory::addMenuItems(QPopupMenu*)
{return false;}

bool BasePluginFactory::addToolbarItems(KToolBar*)
{return false;}

void BasePluginFactory::changeMenuAccel (KAccel*, QPopupMenu*)
{}

bool BasePluginFactory::commandCallback(int id)
{return false;}

bool BasePluginFactory::statusCallback(int id, QString& StatusMsg)
{return false;}

void BasePluginFactory::initKeyAccel (KAccel*, KNCApp*)
{}
