/***************************************************************************
                          modaldialog.cpp  -  description                              
                             -------------------                                         
    begin                : Fri Aug 6 1999                                           
    copyright            : (C) 1999 by Henrik Stormer                         
    email                : stormer@ifi.unizh.ch                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#include "modaldialog.h"
#include "qapplication.h"

ModalDialog::ModalDialog(QWidget *parent, const char *name) : QSemiModal(NULL, name)
{
}
ModalDialog::~ModalDialog()
{
}

void ModalDialog::center (QWidget* w)
{
  QPoint p(0,0);

  if (w)
  {
	  p = w->mapToGlobal( p );
  }
  else
  {
	   w = QApplication::desktop();
  }
  setGeometry( p.x() + w->width()/2  - width()/2,
	  p.y() + w->height()/2 - height()/2, width(), height() );
}




