/***************************************************************************
                          resource.h  -  description                              
                             -------------------                                         
    begin                : Sat Jul 31 18:15:05 MEST 1999
                                           
    copyright            : (C) 1999 by Henrik Stormer                         
    email                : stormer@ifi.unizh.ch                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef RESOURCE_H
#define RESOURCE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

///////////////////////////////////////////////////////////////////
// resource.h  -- contains macros used for commands

#define ID_LEFT_HIDDEN               10000
#define ID_LEFT_SORTNAME             10005
#define ID_LEFT_SORTSIZE             10010
#define ID_LEFT_SORTATTRIB           10015
#define ID_LEFT_SORTOWNER            10016
#define ID_LEFT_SORTGROUP            10017
#define ID_LEFT_SORTLASTMODTIME      10020
#define ID_LEFT_SORTLASTREADTIME     10025
#define ID_LEFT_DIRECTORYLINE        10030
#define ID_LEFT_REFRESH              10035

#define ID_COMMAND_VIEW              10100
#define ID_COMMAND_EDIT              10105
#define ID_COMMAND_COPY              10110
#define ID_COMMAND_MOVE              10115
#define ID_COMMAND_NEWDIR            10120
#define ID_COMMAND_DELETE            10125
#define ID_COMMAND_SELECT            10130
#define ID_COMMAND_UNSELECT          10135
#define ID_COMMAND_OPENTERMINAL      10140
#define ID_COMMAND_OPENFINDUTILITY   10145
#define ID_COMMAND_OPENUSERMENU      10150
#define ID_COMMAND_CHANGEATTRIB      10155
#define ID_COMMAND_INVOKECOMMANDLINE 10160
#define ID_COMMAND_QUIT              10165

#define ID_VIEW_TOOLBAR              10500
#define ID_VIEW_STATUSBAR            10505
#define ID_VIEW_DIRECTORYLINE        10510
#define ID_VIEW_COMMANDLINE          10515

#define ID_BOOKMARK_ADD              10600
#define ID_BOOKMARK_REMOVE           10605
//the numbers between BOOKMARK_MIN and BOOKMARK_MAX
//are reserved
#define ID_BOOKMARK_MIN              10610
#define ID_BOOKMARK_MAX              10690

#define ID_OPTIONS_GENERAL           10200
#define ID_OPTIONS_FONT              10205
#define ID_OPTIONS_COLORS            10225
#define ID_OPTIONS_KEY               10235

#define ID_RIGHT_HIDDEN              10300
#define ID_RIGHT_SORTNAME            10305
#define ID_RIGHT_SORTSIZE            10310
#define ID_RIGHT_SORTATTRIB          10315
#define ID_RIGHT_SORTOWNER           10316
#define ID_RIGHT_SORTGROUP           10317
#define ID_RIGHT_SORTLASTMODTIME     10320
#define ID_RIGHT_SORTLASTREADTIME    10325
#define ID_RIGHT_DIRECTORYLINE       10330
#define ID_RIGHT_REFRESH             10335


///////////////////////////////////////////////////////////////////
// Help-menu entries
#define ID_HELP_CONTENTS            1002

///////////////////////////////////////////////////////////////////
// General application values
#define ID_STATUS_MSG               1001


#endif // RESOURCE_H



