/***************************************************************************
                          listboxdialog.cpp  -  description
                             -------------------
    begin                : Wed Dec 22 1999
    copyright            : (C) 1999 by Henrik Stormer
    email                : stormer@ifi.unizh.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "listboxdialog.h"
#include "qstrlist.h"

ListBoxDialog::ListBoxDialog(QStrList List, QString Title, QString ButtonText) : BaseDialog()
{
	initDialog();
  QListIterator<char> it (List);
  for (;it.current();++it)
    _ListBox->insertItem(it.current());

  setCaption(Title);
  if (ButtonText == "") _Ok->setText(Title);
  else _Ok->setText(ButtonText);

  connect(_ListBox, SIGNAL(selected(int)), SLOT(slotSelected(int)));
  connect(_Ok, SIGNAL(clicked()), SLOT(slotOk()));
  connect(_Cancel, SIGNAL(clicked()), SLOT(slotCancel()));
  if (it.toFirst() != NULL) _ListBox->setSelected(0,true);
  _ListBox->setFocus();
}

ListBoxDialog::~ListBoxDialog()
{
}
int ListBoxDialog::getType()
{
 return _ListBox->currentItem();
}