/***************************************************************************
                          main.cpp  -  description                              
                             -------------------                                         
    begin                : Sat Jul 31 18:15:05 MEST 1999
                                           
    copyright            : (C) 1999 by Henrik Stormer                         
    email                : stormer@ifi.unizh.ch                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#include "knc.h"
#include "qmessagebox.h"
#include <kiconloader.h>
#include "splashscreen.h"

int main(int argc, char* argv[])
{
  KApplication app(argc,argv,"knc");
  SplashScreen Screen(0,0,"/knc/pics/startlogo.bmp",0);
  Screen.show();

  if (app.isRestored())
    {
      RESTORE(KNCApp);
      Screen.close();
    }
  else
    {
      KNCApp* knc = new KNCApp;
      knc->show();
      Screen.timeout();
    }
  return app.exec();
}  
 






















