/***************************************************************************
                          twolistboxesdialog.cpp  -  description
                             -------------------
    begin                : Wed Feb 23 2000
    copyright            : (C) 2000 by Henrik Stormer
    email                : stormer@ifi.unizh.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "twolistboxesdialog.h"

TwoListboxesDialog::TwoListboxesDialog(QString Label1, QString Label2) : BaseDialog()
{
	initDialog();
  _FirstBoxLabel->setText(Label1);
  _SecondBoxLabel->setText(Label2);

  connect(_OK, SIGNAL(clicked()), SLOT(slotOk()));
}

TwoListboxesDialog::~TwoListboxesDialog(){
}

void TwoListboxesDialog::insertIntoFirstListbox(QString Text)
{
 insertIntoListbox(true, Text);
}

void TwoListboxesDialog::insertIntoSecondListbox(QString Text)
{
  insertIntoListbox(false, Text);
}

void TwoListboxesDialog::insertIntoListbox(bool First, QString Text)
{
  int newpos, pos=0;
  newpos = Text.find("\n",pos);
  while (newpos != -1)
  {
    if (First) _FirstBox->insertItem(Text.mid(pos, newpos-pos));
    else       _SecondBox->insertItem(Text.mid(pos, newpos-pos));
    pos = newpos+1;
    newpos = Text.find("\n",pos);
  }
}
